:root {
  --primary-color: #00508e;
  --secondary-color: #034472;
  --tertiary-color: #2a6691;
  --contrast-color: #a4c4da;
  --ligth-color: #e7e7e7;
  --dark-color: #232020;
  --white-color: #f3f2f2cc;
}

@font-face {
  font-family: "Neue Gravica Vf";
  src: url("static/fonts/NeueGravicaVf.ttf") format("truetype");
  font-weight: 400; /* Normal */
  font-style: normal;
}

@font-face {
  font-family: "Neue Gravica Vf";
  src: url("static/fonts/NeueGravicaVf.ttf") format("truetype");
  font-weight: 700; /* Negrito */
  font-style: bold;
}

@font-face {
  font-family: "Neue Gravica Vf";
  src: url("static/fonts/NeueGravicaVf.ttf") format("truetype");
  font-weight: 400; /* Normal */
  font-style: italic;
}

* {
  font-family: "Neue Gravica Vf";
  box-sizing: border-box;
}

body,
html {
  padding: 0;
  margin: 0;
  font-family: "Neue Gravica Vf";
  background-color: var(--ligth-color);
  width: 100vw;
  scroll-behavior: smooth;
}

h2 {
  font-size: 28px;
  padding: 8px;
}

body {
  height: 100vh; /* Altura da janela de visualização */
  overflow-x: hidden;
  overflow-y: scroll; /* Ativa a rolagem vertical */
}

ul {
  list-style-type: none;
  padding-left: 20px;
}

ul li {
  position: relative;
  padding-left: 60px;
  margin-bottom: 20px;
}

ul li span {
  font-weight: bold;
}

ul li::before {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-30%);
  width: 36px;
  height: 36px;
  background-image: url("static/images/aguia.svg"); /* Caminho para sua imagem SVG */
  background-size: contain; /* Garante que a imagem se ajuste ao tamanho */
  background-repeat: no-repeat; /* Evita repetição da imagem */
}

::-webkit-scrollbar {
  width: 12px;
  height: 13px;
  background-color: #e1e1e1;
}

::-webkit-scrollbar-thumb {
  background-color: #004c86;
  border-radius: 20px;
  border: 3px solid #e1e1e1;
}

::selection {
  color: #fff;
  background: #004c86;
}

section {
  width: 100vw;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  min-height: 50vh;
}

@media (max-width: 1200px) {
  section {
    min-height: 100vh;
  }
}

#presentation .presentation-container {
  background-color: var(--secondary-color);
  color: var(--ligth-color);
  min-width: 1200px;
  min-height: 50vh;
  max-height: 100%;
  max-width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
  border-radius: 40px;
  margin-top: 20px;
}

#presentation .presentation-container .presentation-description {
  font-size: x-large;
  padding: 12px;
  text-align: center;
  animation: surge_animation ease 1s;
}

#presentation .presentation-container img {
  width: 80%;
  max-width: 700px;
  animation: surge_animation ease 1s;
}

@media (max-width: 1200px) {
  #presentation .presentation-container {
    border-radius: 0;
    min-width: 100%;
    margin-top: 0;
    min-height: 100vh;
  }
  #presentation .presentation-container .presentation-description {
    font-size: medium;
  }
}

/* VANTAGENS */

#advantages {
  color: var(--secondary-color);
  margin-top: 32px;
  margin-bottom: 32px;
}

#advantages .advantage-container {
  text-align: center;
  min-height: 350px;
  max-height: 100%;
  max-width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-evenly;
  flex-wrap: wrap;
  opacity: 0;
  transform: translateY(20px); /* Posiciona o elemento ligeiramente abaixo */
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

#advantages .advantage-container .advantage-item {
  max-width: 280px;
  padding: 12px;
  color: var(--tertiary-color);
  min-height: 320px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  cursor: pointer;
  border-radius: 20px;
  transition: background-color 1s;
}

#advantages .advantage-container .advantage-item:hover {
  background-color: var(--contrast-color);
}

#advantages .advantage-container .advantage-item .advantage-item-title {
  font-weight: bold;
  display: flex;
  margin-bottom: 26px;
  justify-items: center;
  align-items: center;
  flex-direction: row;
  flex-wrap: nowrap;
  align-content: center;
  justify-content: space-evenly;
  width: 100%;
}

@media (max-width: 1200px) {
  #advantages .advantage-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
  }
}

#advantages .advantage-container .advantage-item {
  margin: 12px;
}

#advantages .advantage-container .advantage-item .advantage-item-title img {
  height: 40px;
}

#advantages .advantage-container .advantage-item .advantage-item-text {
  padding: 12px;
  font-size: 14px;
}

/* FUNÇÕES */

#functions {
  background-color: var(--white-color);
  color: var(--secondary-color);
  margin-top: 32px;
  padding-top: 32px;
  padding-bottom: 32px;
}

#functions .function-container {
  color: var(--primary-color);
  min-height: 450px;
  max-width: 100%;
  display: grid;
  grid-template-columns: 40% 1fr;
  justify-content: center;
  align-items: center;
  justify-items: center;
}

#functions .function-container img {
  max-width: 650px;
  width: 80%;
  opacity: 0;
  transform: translateY(20px); /* Posiciona o elemento ligeiramente abaixo */
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

#functions .function-container .function-container-points {
  max-width: 500px;
}

@media (max-width: 1200px) {
  #functions .function-container {
    grid-template-columns: 1fr;
  }
}

/* CLIENTES */
#clients {
  width: 100vw;
  background-image: url("static/images/clientsbg.png");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  background-attachment: fixed;
  position: relative;
  flex-direction: row;
  align-items: stretch;
}

#clients h2 {
  font-size: 40px;
}

#clients .clients-details {
  background-color: #004c86c2;
  color: var(--ligth-color);
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-align: center;
}

#clients .clients-details .clients-details-images {
  display: flex;
  gap: 12px;
  align-content: center;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-evenly;
  align-items: center;
  width: 100%;
  margin-top: 36px;
  opacity: 0;
  transform: translateY(20px); /* Posiciona o elemento ligeiramente abaixo */
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

#clients .clients-details .clients-details-images img {
  height: 45px;
  filter: saturate(0) brightness(0) invert(1);
  margin: 12px;
}

/* CONTATO */

#contact .contact-container {
  min-height: 610px;
  color: var(--secondary-color);
  display: grid;
  grid-template-columns: 1fr 1fr;
  padding: 20px;
  gap: 12px;
  width: 95%;
  box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.2);
  border-radius: 10px;
  background-color: #fff;
  margin: 0 auto;
  margin-top: 20px;
  margin-bottom: 20px;
}

@media (max-width: 1100px) {
  #contact .contact-container {
    grid-template-columns: 1fr;
  }
}

#contact .contact-container .contact-form {
  display: flex;
  flex-direction: row;
  gap: 12px;
}

#contact .contact-container .contact-form .contact-form-item {
  display: flex;
  flex-direction: column;
  gap: 8px;
  width: 50%;
  margin-top: 12px;
}

#contact .contact-container .contact-form .contact-form-item-message {
  width: 100%;
}

#contact .contact-container .contact-form .contact-form-item label {
  font-size: 14px;
}

#contact input {
  font: inherit;
  margin: 0;
  padding: 0;
  border: 1px solid #bdbdbd;
  padding: 12px;
  font-size: 14px;
  border-radius: 4px;
  background-color: var(--white-color);
}

#contact input:focus {
  outline: none;
  border: 1px solid #898787;
}

#contact textarea {
  font: inherit;
  margin: 0;
  padding: 0;
  border: 1px solid #bdbdbd;
  padding: 12px;
  font-size: 14px;
  border-radius: 4px;
  background-color: var(--white-color);
  width: 100%;
  height: 150px;
  padding: 15px;
  font-size: 0.85rem;
  line-height: 1.15rem;
  font-weight: 400;
  resize: none;
  transition: 0.3s ease;
}

#contact textarea:focus {
  outline: none;
  border: 1px solid #898787;
}

#contact .contact-form .contact-form-item-check {
  display: flex;
  gap: 12px;
  padding: 12px;
  font-size: 12px;
}

#contact .contact-form .contact-form-button {
  width: 100%;
  padding: 14px 0 12px;
  margin: 12px;
  border-radius: 5px;
  text-align: center;
  font-size: 0.9rem;
  line-height: 0.9rem;
  font-weight: 500;
  color: #fff;
  background-color: #007bd9;
  transition: 0.2s ease;
  outline: none;
  border: none;
  cursor: pointer;
}

#contact .contact-form .contact-form-button:hover {
  filter: brightness(1.1);
}

#congratulations {
  display: none;
  transition: display 1s;
}

#congratulations .congratulations-img {
  background-image: url("./static/images/pet.png");
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  width: 100%;
  height: 360px;
}

/* #formContact {
  display: none;
} */

#footer {
  width: 100%;
  min-height: 50vh;
  background-color: var(--tertiary-color);
  display: grid;
  grid-template-columns: 500px 1fr 1fr;
}

@media (max-width: 1100px) {
  #footer {
    grid-template-columns: 1fr;
  }
  #footer .footer-info {
    justify-content: center;
    align-content: center;
    width: 300px;
    margin: 0 auto;
  }
}

#footer .footer-logos {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
  height: 100%;
  width: 100%;
}

#footer .footer-logos img {
  width: 250px;
  height: 126px;
}

#footer .footer-logos .sep {
  height: 1px;
  width: 350px;
  background: var(--contrast-color);
}

#footer .footer-info {
  color: var(--ligth-color);
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: stretch;
}

#footer .footer-info a,
#footer .footer-info div {
  font-size: 0.85rem;
  line-height: 1.15rem;
  font-weight: 400;
  display: flex;
  align-items: center;
  margin-bottom: 20px;
  transition: 0.3s ease;
  color: var(--ligth-color);
  max-width: 300px;
}

#footer .footer-info div img,
#footer .footer-info a img {
  margin-right: 12px;
}

#float-wpp {
  position: fixed;
  bottom: 12px;
  right: 12px;
  z-index: 999;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  background-color: var(--primary-color);
  color: var(--ligth-color);
}

#float-wpp a {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

#float-wpp:hover {
  filter: brightness(1.5);
}

#float-wpp svg {
  fill: var(--ligth-color);
  stroke: var(--ligth-color);
  width: 28px;
  height: 28px;
  color: var(--ligth-color);
}

@keyframes surge_animation {
  from {
    transform: scale(0.9);
    opacity: 0;
  }
  to {
    transform: scale(1);
    opacity: 1;
  }
}

/* Classe de animação */
.animate {
  opacity: 1 !important;
  transform: translateY(
    0
  ) !important; /* Retorna o elemento para a posição original */
}

#modals {
  position: fixed;
  width: 100vw;
  height: auto;
  z-index: 999999;
}
